std::pmr::polymorphic_allocator< _Tp >(3)

NAME
std::pmr::polymorphic_allocator< _Tp > - Class template polymorphic_allocator.

SYNOPSIS

#include <memory_resource>

  Public Types
using value_type

  Public Member Functions
polymorphic_allocator (const polymorphic_allocator &__other)=default
template<typename _Up > polymorphic_allocator (const polymorphic_allocator< _Up > &__x) noexcept
polymorphic_allocator (memory_resource *__r) noexcept
_Tp * allocate (size_t __n)
void * allocate_bytes (size_t __nbytes, size_t __alignment=alignof(max_align_t))
template<typename _Up > _Up * allocate_object (size_t __n=1)
template<typename _Tp1 , typename... _Args> void construct (_Tp1 *__p, _Args &&... __args)
void deallocate (_Tp *__p, size_t __n) noexcept
void deallocate_bytes (void *__p, size_t __nbytes, size_t __alignment=alignof(max_align_t))
template<typename _Up > void deallocate_object (_Up *__p, size_t __n=1)
template<typename _Up > void delete_object (_Up *__p)
template<typename _Up > void destroy (_Up *__p)
template<typename _Up , typename... _CtorArgs> _Up * new_object (_CtorArgs &&... __ctor_args)
polymorphic_allocator & operator= (const polymorphic_allocator &)=delete
memory_resource * resource () const noexcept
polymorphic_allocator select_on_container_copy_construction () const noexcept

  Friends
bool operator== (const polymorphic_allocator &__a, const polymorphic_allocator &__b) noexcept

Detailed Description

  template<typename _Tp>
class std::pmr::polymorphic_allocator< _Tp >"Class template polymorphic_allocator.

Since
    C++17

Author

Generated automatically by Doxygen for libstdc++ from the source code.